Bug 109849

Summary: AX: Split WebAccessibilityObjectWrapper so code can be shared with iOS
Product: WebKit Reporter: chris fleizach <cfleizach>
Component: AccessibilityAssignee: chris fleizach <cfleizach>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, apinheiro, buildbot, ddkilzer, dmazzoni, jdiggs, mario, rniwa, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 109986    
Bug Blocks:    
Attachments:
Description Flags
patch
ddkilzer: review+, buildbot: commit-queue-
patch for landing none

Description chris fleizach 2013-02-14 11:15:01 PST
We need to split out some of the common routines in WebAccessibilityObject, like how we fetch titles and descriptions, into a shared location so iOS can share it
Comment 1 chris fleizach 2013-02-14 13:54:06 PST
Created attachment 188419 [details]
patch
Comment 2 Build Bot 2013-02-15 12:16:14 PST
Comment on attachment 188419 [details]
patch

Attachment 188419 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/16585249

New failing tests:
platform/mac/accessibility/aria-liveregions-removedelement.html
platform/mac/accessibility/aria-listbox-selectedchildren-change.html
platform/mac/accessibility/aria-liveregions-notifications-always-sent.html
accessibility/aria-invalid.html
accessibility/loading-iframe-sends-notification.html
accessibility/notification-listeners.html
platform/mac/accessibility/aria-liveregions-notifications.html
platform/mac/accessibility/aria-liveregions-changedtext.html
platform/mac/accessibility/selected-rows-table.html
platform/mac/accessibility/aria-liveregion-on-image.html
platform/mac/accessibility/textbox-role-reports-notifications.html
platform/mac/accessibility/combobox-activedescendant-notifications.html
platform/mac/accessibility/aria-liveregions-addedelement.html
platform/mac/accessibility/aria-liveregions-changedalt.html
platform/mac/accessibility/aria-expanded-notifications.html
platform/mac/accessibility/html-slider-indicator.html
Comment 3 David Kilzer (:ddkilzer) 2013-02-15 13:28:09 PST
Comment on attachment 188419 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=188419&action=review

r=me

> Source/WebCore/ChangeLog:19
> +        * accessibility/mac/WebAccessibilityObjectWrapper.h:
> +        * accessibility/mac/WebAccessibilityObjectWrapper.mm:

For shared code between iOS and Mac, we still need to come up with a name.  When we do, these files should move a subdirectory named that (like /apple/).
Comment 4 chris fleizach 2013-02-15 16:19:48 PST
http://trac.webkit.org/changeset/143066
Comment 6 chris fleizach 2013-02-15 17:40:49 PST
Created attachment 188675 [details]
patch for landing
Comment 7 WebKit Review Bot 2013-02-15 21:58:11 PST
Comment on attachment 188675 [details]
patch for landing

Clearing flags on attachment: 188675

Committed r143098: <http://trac.webkit.org/changeset/143098>
Comment 8 chris fleizach 2013-02-21 09:53:35 PST
http://trac.webkit.org/changeset/143230